Commit d62e6214 authored by Christian Hergert's avatar Christian Hergert

release 3.31.91

parent 579074c4
Pipeline #60477 passed with stage
in 35 minutes and 16 seconds
===============
Version 3.31.91
===============
Changes since last release:
• Fix three-finger-swipe gesture in keyboard shortcuts.
• Respect sort-directories-first gsetting in project-tree.
• Icons for the newcomers initiative have updated.
• Loading of custom gtksourceview style schemes has been restored.
• gnome-builder -e will now open a new editor window.
• Plugins can now add delay in "settling" the buffer before saving.
• The git plugin will settle for updated line changes before the buffer
can be saved. This fixes an issue with trim-spaces plugin not trimming
all of the expected lines.
• Builder's flatpak-based fusermount wrapper was simplified. This could
use testing with regards to rofiles and flatpak-builder.
• Various search workflow improvements.
• The VCS file monitor now contains a sequence number that can be used to
optimize some additional work such as installing a project. Builder will
no longer install the project before each project Run unless a file within
the project tree has changed. Projects that rely on external files will
need to press "Build" before "Run" if only external files have changed.
• Improvements to guessing language syntax when a buffer is created.
• Add an experimental podman runtime provider. This is not enabled by
default and we do not recommend enabling it at this time.
• Updated translations.
Thanks to the many contributors that provided patches during this cycle!
===============
Version 3.31.90
===============
......
......@@ -82,6 +82,14 @@
<translation type="gettext">gnome-builder</translation>
<releases>
<release version="3.31.91" date="2019-02-18">
<description>
<p>
This release contains a number of bug fixes and performance improvements.
</p>
</description>
</release>
<release version="3.31.90" date="2019-02-06">
<description>
<p>
......
project('gnome-builder', 'c',
license: 'GPL3+',
version: '3.31.90',
version: '3.31.91',
meson_version: '>= 0.48.0',
default_options: [ 'c_std=gnu11',
'cpp_std=c++11',
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment